Error
A valid request URL is required to generate request examples{
"sysidVisitor": 12345,
"country": "...",
"sysidLanguage": 12345,
"firstName": "...",
"active": true,
"lastName": "...",
"visitorImages": [
{
"displayOrder": 12345,
"imageSource": "...",
"height": 12345,
"thumbnailSource": "...",
"sysidVisitorImage": 12345,
"defaultImage": true,
"width": 12345
},
{
"displayOrder": 12345,
"imageSource": "...",
"height": 12345,
"thumbnailSource": "...",
"sysidVisitorImage": 12345,
"defaultImage": true,
"width": 12345
}
],
"company": "...",
"designation": "...",
"emailAddress": "...",
"phoneNumber": "...",
"address": "..."
}VisitorService
Get visitorsby email
Retrieve the visitor identified by the email address value passed as a path parameter.
The requesting User must have one of the following rights to perform this task:
This operation returns a Visitor Data value.
GET
/
visitors
/
by-email
/
{emailAddress}
Error
A valid request URL is required to generate request examples{
"sysidVisitor": 12345,
"country": "...",
"sysidLanguage": 12345,
"firstName": "...",
"active": true,
"lastName": "...",
"visitorImages": [
{
"displayOrder": 12345,
"imageSource": "...",
"height": 12345,
"thumbnailSource": "...",
"sysidVisitorImage": 12345,
"defaultImage": true,
"width": 12345
},
{
"displayOrder": 12345,
"imageSource": "...",
"height": 12345,
"thumbnailSource": "...",
"sysidVisitorImage": 12345,
"defaultImage": true,
"width": 12345
}
],
"company": "...",
"designation": "...",
"emailAddress": "...",
"phoneNumber": "...",
"address": "..."
}Path Parameters
: String - the email address of the visitor to retrieve
Response
200 - application/json
Visitor data value identified by the email address.
com.agilquest.phoenix.shared.data.visitor.VisitorData

